# Project: Weather
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = main.o opengl.o window.o utility.o station.o $(RES)
LINKOBJ  = main.o opengl.o window.o utility.o station.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -mwindows -lopengl32 -lglu32  -s -march=pentium -mmmx 
INCS =  -I"C:/Dev-Cpp/include"  -I"C:/Dev-Cpp/include/gtk-2.0"  -I"C:/Dev-Cpp/include/glib-2.0"  -I"C:/Dev-Cpp/lib/gtk-2.0/include"  -I"C:/Dev-Cpp/lib/glib-2.0/include" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include"  -I"C:/Dev-Cpp/include/gtk-2.0"  -I"C:/Dev-Cpp/include/glib-2.0"  -I"C:/Dev-Cpp/include/pango-1.0"  -I"C:/Dev-Cpp/lib/gtk-2.0/include"  -I"C:/Dev-Cpp/lib/glib-2.0/include"  -I"C:/Dev-Cpp/include/atk-1.0/atk"  -I"C:/Dev-Cpp/include/cairo" 
BIN  = Weather.exe
CXXFLAGS = $(CXXINCS)   -O3 -march=pentium -mmmx
CFLAGS = $(INCS)   -O3 -march=pentium -mmmx
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before Weather.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "Weather.exe" $(LIBS)

main.o: main.cpp
	$(CPP) -c main.cpp -o main.o $(CXXFLAGS)

opengl.o: opengl.cpp
	$(CPP) -c opengl.cpp -o opengl.o $(CXXFLAGS)

window.o: window.cpp
	$(CPP) -c window.cpp -o window.o $(CXXFLAGS)

utility.o: utility.cpp
	$(CPP) -c utility.cpp -o utility.o $(CXXFLAGS)

station.o: station.cpp
	$(CPP) -c station.cpp -o station.o $(CXXFLAGS)
